<?php
 
require_once( PALOOSE_LIB_DIRECTORY . "/sitemap/Component.php" );
class Transformer extends Component {
       
   
   
   
   public function __construct( $inName, $inClassName, DOMNode $inNode, $inIsCachable )
   {
      parent::__construct( $inName, $inClassName, $inNode, $inIsCachable );
      $this->gGenericType = PipeElement::TRANSFORMER;
      $this->gType = "transformer";
   }
   
   
   
   public function toString()
   {
      if ( $this->gParameters != NULL ) {
         $mess = "   <transformer name='{$this->gName}' src='{$this->gSrc}' package='{$this->gPackageName}''>\n";
         while ( list( $name, $value ) = each( $this->gParameters ) ) {
            $mess .= "    <parameter name='$name' value='$value'/>\n";
         }
         reset( $this->gParameters );
         $mess .= "   </transformer>\n";
      } else {
         $mess = "   <transformer name='{$this->gName}' src='{$this->gSrc}' package='{$this->gPackageName}'/>\n";
      }
      return $mess;
   }
}
?>
