<?php
require_once( PALOOSE_LIB_DIRECTORY . "/environment/Utilities.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/environment/Environment.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/resources/Resource.php" );
class Script {
   
   private $gSrc;
      
   
   
   
   public function __construct()
   {
      $this->gScripts = array();
   }
   
   
   
   public function parse( DOMNode $inNode )
   {
      
      $scriptsDom = new DOMDocument;
      $scriptsDom->appendChild( $scriptsDom->importNode( $inNode, 1 ) );
      
      
      $xpath = new domxpath( $scriptsDom );
      $xpath->registerNamespace( "m", Environment::$configuration[ 'sitemapNamespace' ] );
      $src = Utilities::getXPathListStringItem( 0, $xpath, "//@src" );
      if ( !isset( $src ) ) {
         $dom = new DOMDocument;
         $dom->appendChild( $dom->importNode( $inNode, 1 ) );
         throw new UserException( "Need src attrib with script", PalooseException::SITEMAP_FLOW_PARSE_ERROR, $dom );
      }
      $src = StringResolver::expandPseudoProtocols( $src );
      $this->gSrc = $src;
      require_once( $src );
   }
   
   
   
    
   public function toString()
   {
        return "  <script src='{$this->gSrc}' />\n";
   }
}
?>
