<?php
require_once( PALOOSE_LIB_DIRECTORY . "/pipelines/PipeElement.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/serialization/OutputStream.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/serialization/OutputStream.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/serialization/SerializerPipeElement.php" );
class XMLSerializer extends SerializerPipeElement implements PipeElementInterface
{
       
   
   
   
    
   public function __construct( DOMDocument $inDOM, $inType = "", $inSrc = "", $inComponent = NULL )
   {
        try {
         parent::__construct( $inDOM, $inType, $inSrc, $inComponent );
        } catch ( UserException $e ) {
           throw new UserException( $e->getMessage(), $e->getCode(), $e->getDOMScrap() );
        }
   }
   
   
   
   public function run( VariableStack $inVariableStack, $inURL, $inQueryString, DOMDocument $inDOM )
   {
      
      if ( $this->gComponent->gOmitXMLDeclaration ) {
         
         foreach( $inDOM->childNodes as $node )
            $normalisedOutput .= $inDOM->saveXML( $node )."\n";
      } else {
         $normalisedOutput = $inDOM->saveXML();
      }
      if ( $this->gComponent->gEncoding != "UTF-8" ) {
         $normalisedOutput = Utilities::utf8ToUnicodeEntities( $normalisedOutput );
      }
      Environment::$sitemapStack->peek()->getOutputStream()->out( $normalisedOutput );
      return NULL;
   }
   
   
   
   public function toString()
   {
      return parent::toStringWithType( $this->gGenericType );
   }
}
 
class _XMLSerializer extends Serializer {
    
   
   
   
   
   public function __construct( $inName, $inSrc, DOMNode $inParameterNode, $inIsCachable )
   {
      parent::__construct( $inName, $inSrc, $inParameterNode, $inIsCachable );
      $this->gPackageName = "XMLSerializer";
   }
}
?>
