<?php
class Stack {
   
   private $gStack;
   
   
   
   
   public function __construct()
   {
      $this->gStack = array();
   }
   
   
   
    
   public function push( $inData )
   {
      array_push( $this->gStack, $inData );
   } 
   
   
   
    
   public function pop()
   {
      if ( empty( $this->gStack ) ) return NULL;
      return array_pop( $this->gStack );
   } 
   
   
   
   
    
   public function entryAt( $inIndes )
   {
      $tosIndex = count( $this->gStack ) - 1;
      if ( count( $this->gStack ) <= $inIndes ) return NULL;
      return $this->gStack[ $tosIndex - $inIndes ];
   }
   
   
   
    
   public function peek()
   {
      if ( count( $this->gStack ) == 0 ) return NULL;
      return $this->gStack[ count( $this->gStack ) - 1 ];
   }
   
   
   
    
   public function root()
   {
      return $this->gStack[ 0 ];
   }
   
   
   
    
   public function sizeof()
   {
      return count( $this->gStack );
   }
}
?>
