<?xml version="1.0"?>

<!-- -*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-* -->
<!-- -*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-* -->
<!--
   
   Common Templates for Page Building Body
   
   Author:
      Name  : Hugh Field-Richards
      Email : hsfr@hsfr.org.uk
   
   -*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
   -*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
   
   Date                   Who    Changes
   ==========================================================================
   
   17th February 2006     HSFR   Created
   
   LICENSE:
 
   This software is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software Foundation;
   either version 2.1 of the License, or (at your option) any
   later version.
   
   This software is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this software; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
   
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:p="http://www.chandos.org.uk/Schema/People"
   xmlns:c="http://www.chandos.org.uk/Schema/Concerts" xmlns:v="http://www.chandos.org.uk/Schema/Venues"
   xmlns:graphic="http://www.hsfr.org.uk/Schema/Graphic" xmlns:list="http://www.hsfr.org.uk/Schema/List"
   xmlns:t="http://www.hsfr.org.uk/Schema/Text" xmlns:php="http://php.net/xsl" version="1.0">

   <!-- -*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-* -->
   <!-- -*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-* -->

   <xsl:template name="buildTopPanel.topPanel">

      <xsl:element name="div">
         <xsl:attribute name="id">bannerPanel</xsl:attribute>
         <!-- xsl:element name="div">
               <xsl:attribute name="id">menusPanel</xsl:attribute -->
         <xsl:call-template name="buildMenusPanel.menusPanel"/>
         <!-- /xsl:element -->
      </xsl:element>

      <xsl:element name="div">
         <xsl:attribute name="id">logoPanel</xsl:attribute>
      </xsl:element>

   </xsl:template>


</xsl:stylesheet>
