<?php
require_once( PALOOSE_LIB_DIRECTORY . "/sitemap/Component.php" );
class Reader extends Component {
       
   
   
   
   public function __construct( $inName, $inClassName, DOMNode $inNode, $inIsCachable )
   {
      parent::__construct( $inName, $inClassName, $inNode, $inIsCachable );
      $this->gGenericType = PipeElement::READER;
      $this->gType = "reader";
   }
   
   
   
    
   public function isValid()
   {
      try {
         parent::isValid();
      } catch ( UserException $e ) {
         throw new UserException( "Reader: " . $e->getMessage(), $e->getCode(), $e->getDOMScrap() );
      }
   } 
   
   
   
    
   public function toString()
   {
      if ( $this->gParameters != NULL ) {
         $mess = "   <reader name='{$this->gName}' src='{$this->gSrc}' package='{$this->gPackageName}'>\n";
         while ( list( $name, $value ) = each( $this->gParameters ) ) {
            $mess .= "    <parameter name='$name' value='$value'/>\n";
         }
         reset( $this->gParameters ); 
         $mess .= "   </reader>\n";
      } else {
         $mess = "   <reader name='{$this->gName}' src='{$this->gSrc}' package='{$this->gPackageName}'/>\n";
      }
      return $mess;
   }
}
?>
