<?php
require_once( PALOOSE_LIB_DIRECTORY . "/sitemap/Component.php" );
 
class Action extends Component {
       
   
   
   
   public function __construct( $inName, $inSrc, DOMNode $inParameterNode, $inIsCachable )
   {
      parent::__construct( $inName, $inSrc, $inParameterNode, $inIsCachable );
      $this->gGenericType = PipeElement::ACTION;
      $this->gType = "action";
   }
   
   
   
   public function toString()
   {
      if ( $this->gParameters != NULL ) {
         $mess = "   <action name='{$this->gType}' src='{$this->gSrc}' package='{$this->gPackageName}''>\n";
         while ( list( $name, $value ) = each( $this->gParameters ) ) {
            $mess .= "    <parameter name='$name' value='$value'/>\n";
         }
         reset( $this->gParameters );
         $mess .= "   </action>\n";
      } else {
         $mess = "   <action name='{$this->gType}' src='{$this->gSrc}' package='{$this->gPackageName}'/>\n";
      }
      return $mess;
   }
}
?>
