<?php
class Environment {
    
    const UNKNOWN_SOURCE = -1;
    
    const FILE_READ = 1;
    
    const SUBMIT_ROOT = 2;
    
    const SUBMIT_CURRENT = 3;
   
   private static $gContext;
   
   public static $gCurrentSiteRootDir;
   
   
   public static $gCurrentSitemapDir;
   
   
   public static $gRootSitemapDir;
   
   private static $gOS;
   
   public static $documentRootDir;
   
   public static $gRequestURI;
   
   public static $gQueryString;
   
   public static $isPalooseClient;
   
   
   public static $gClientBuffer;
   
   
   public static $sitemapStack;
   
   public static $variableStack;
   
   public static $configuration;
   
   public static $modules;
   
   
   public static $sessionHandler;
   
   public static $clientOutputBuffer;
   
   public static $gCookiesActive;
   
   
   
    
    public static function getContext()
    {
      $filename = $_SERVER[ 'SCRIPT_FILENAME' ];
       return substr( $filename, 0, strrpos( $filename, self::getPathSeparator() ) + 1 );
    }
   
   
    public static function getPathSeparator()
    {
      if ( stripos( PHP_OS, "WINNT" ) ) {
         return "\\";
      }
      return "/";
    }
   
   
   public static function getSource( $inString )
   {
      $srcString = "resource://";
      if ( strpos( $inString, $srcString ) !== false ) {
         return self::FILE_READ;
      }
      $srcString = "context://";
      if ( strpos( $inString, $srcString ) !== false ) {
         return self::FILE_READ;
      }
      $srcString = "cocoon://";
      if ( strpos( $inString, $srcString ) !== false ) {
         return self::SUBMIT_ROOT;
      }
      $srcString = "cocoon:/";
      if ( strpos( $inString, $srcString ) !== false ) {
         return self::SUBMIT_CURRENT;
      }
      return self::UNKNOWN_SOURCE;
   }
}
?>
